====== inet-3.x ======

2017-10-02  ------ inet-3.6.2 released ------

2017-07-06  ------ inet-3.6.1 released ------

2017-06-09  ------ inet-3.6.0 released ------

2017-02-20  ------ inet-3.5.0 released ------

2016-09-22  Zoltan Bojthe

	omnetpp5: add/use refreshDisplay()

2016-06-15  ------ inet-3.4.0 released ------

2016-06-01  ------ inet-3.3.0 released ------

2015-07-21  Zoltan Bojthe

	TelnetApp: cancel internal timer when socket closed or failure

2016-04-06  ------ inet-3.2.4 released ------

2016-03-16  ------ inet-3.2.3 released ------

2016-03-11  ------ inet-3.2.2 released ------

2016-01-21  ------ inet-3.2.1 released ------

2015-12-16  ------ inet-3.2.0 released ------

2015-11-26  Andras Varga

	Made the code compile with OMNeT++ 5.0b3

2015-10-26  ------ inet-3.1.1 released ------

2015-10-15  ------ inet-3.1.0 released ------

2015-06-22  ------ inet-3.0.0 released ------

2015-05-13  ------ inet-2.99.1 released ------

2015-01-21  Zoltan Bojthe

	Applied C++ source code modernizer.

2015-01-12  Zoltan Bojthe

	Fixed defects found by static code analyzer (Coverity).

2014-11-07  ------ inet-2.99.0 released ------

2014-09-18  Andras Varga

	Moved all sources under the src/inet directory, so that all #include
	statements begin with "inet/". The motivation is to rule out potential
	filename clashes when multiple model frameworks are used together.

	HINT: You can use the "opp_githist" command in inet/_scripts to find
	all previous locations of the sources in this directory, and to view
	the full history in gitk. Normal invocations of gitk can only show
	file history back to the most recent move operation.

2014-07-30  Andras Varga

	Changes on the inet-3.x branch so far:

	Code formatting (Zoltan Bojthe)
	- using uncrustify, see _scripts/reformat/*
	- common style for header guards

	Namespace (Zoltan Bojthe, Zsolt Prontvai)
	- code has been moved into the inet namespace

	Init stages (Zoltan Bojthe, Andras Varga)
	- init stages: reorganized by layers

	Signals (Zoltan Bojthe)
	- replace INotifiable and NotificationBoard by signals for
	  publish/subscribe communication

	Logging (Zoltan Bojthe, Benjamin Seregi)
	- EV log statements revised and categorized: EV_ERROR, EV_WARN,
	  EV_INFO, EV_DETAIL, EV_DEBUG, EV_TRACE

====== inet-2.x ======

2015-03-04  ------ inet-2.6 released ------

2014-11-07  ------ inet-2.5.1 released ------

2014-10-29  ------ inet-2.5.0 released ------

2014-06-12  ------ inet-2.4.0 released ------

2014-03-19  ------ inet-2.3.0 released ------

2013-08-22  ------ inet-2.2.0 released ------

2013-07-04  Zoltan Bojthe

	- stopTime checks changed: send packet when simTime() <= stopTime
	  (some apps tested "simTime() < stopTime", another apps tested "simTime()<= stopTime")

2013-05-02  Zoltan Bojthe

	- Added NodeStatus::DOWN checks for initialize()
	- lifecycle: Enter_Method_Silent() was missed in some
	  handleOperationStage() function

2013-04-25  Levente Meszaros

	- Added ILifecycle to the rest of applications.
	  (All application must either support lifecycle operations properly or
	   throw an error when executing any lifecycle operations.)

2013-04-23  Levente Meszaros

	Adapted TCPEcho and TCPBasicClient applications to lifecycle operations.

2013-04-22  Levente Meszaros

	App: Changed stopTime to use -1 to run the application forever.

2013-02-15  Rudolf Hornig

	TCPSessionApp: fixed signal name and removed non-exisiting signal def.

2013-01-30  ------ inet-2.1.0 released ------

2012-11-16  Zoltan Bojthe

	TCPBasicClientApp: bugfix for #611: simulation generated an ASSERT if
	numRequestsPerSession parameter value larger than 1.

2012-10-31  Zoltan Bojthe

	tcpapp: minor fixes

2012-08-07  ------ inet-2.0.0 released ------

2012-06-25  ------ inet-1.99.5 released ------

2012-03-20  ------ inet-1.99.4 released ------

2012-02-24  ------ inet-1.99.3 released ------

2011-12-22  Andras Varga

	statistics:
	- TCPBasicClientApp: added numSessions and numActiveSessions
	- removed "stats" where "histogram" was already present (it implies "stats")
	- standardizing on lower case statistics titles
	- record packet counts in a less confusing way: as rcvdPk:count instead
	  of packetBytes(rcvdPk):count or rcvdPkBytes:count; total bytes is now
	  recorded as rcvdPk:sum(packetBytes)

2011-11-18  ------ INET-1.99.2 released ------

2011-11-18  Zoltan Bojthe

	NEDDOC fixes

2011-08-15  Andras Varga

	Adapted units to recent OMNeT++ change: replaced Kbps,KB,MB,GB with
	kbps,KiB,MiB,GiB

2011-07-19  Andras Varga

	cPolymorphic -> cObject (cPolymorphic became cObject in OMNeT++ 4.0)

2011-07-18  Andras Varga

	comments, whitespace, etc.

2011-07-18  Andras Varga

	statistics: emit pk (cPacket*) signals instead of pkBytes etc; added
	more statistics

	Utilize packetBytes() result filter in @statistic to record byte counts

2011-07-18  Andras Varga

	apps: renamed address/port params to localAddress/localPort where
	appropriate

2011-07-18  Andras Varga

	apps: added/renamed parameters: 'sendInterval', 'stopTime'

	Renamed the following parameters to 'sendInterval':
	- messageFreq, waitTime, packetInterval, interval, waitInterval

	Added stopTime parameter to several apps:
	- TelnetApp, UDPBasicApp, TCPBasicClientApp, IPvXTrafGen, EtherAppCli

2011-06-03  Andras Varga

	cosmetics: space usage made somewhat more consistent throughout the code

	Notes:
	- if you have an INET fork and want to compare the code, use the
	 "Ignore spaces" option of your visual diff tool. Most tools have
	 this option; Meld and Araxis Merge certainly do.

	- I used omnetpp/_scripts/tidymodel/spaces.pl, plus some manual tweaks

2011-05-30  ------ INET-1.99.1 released ------

2011-05-27  Zoltan Bojthe

	code style, #include changes

2011-05-26  Zoltan Bojthe

	Renamed IP... classes to IPv4... or IPvX...

2011-03-31  Zoltan Bojthe

	change simsignal_t member variables to static member

2011-03-30  Zoltan Bojthe

	code style, includes

2011-03-09  Zoltan Bojthe

	Features: TCP, UDP, TCP_BASE, TCP_INET, TCP_NSC, TCP_lwip, IPv6

2011-03-03  ------ INET-1.99.0 released ------

2011-03-02  Zoltan Bojthe

	change opp_error to throw cRuntimeError

2011-03-01  Rudolf Hornig

	Interfaces renamed to start with I.

2011-02-24  Zoltan Bojthe

	TCP, TCP_NSC, TCP_lwip: implemented "bytestream" transfer modes

	also refactoring of queues for "object" and "bytecount" transfer modes

2011-02-24  Zoltan Bojthe

	Obsolete parameters in NED files

2011-02-22  Andras Varga

	Swiched NED documentation comments to explicit hyperlinking of NED
	type names, using tilde. Example: "TCP" was changed to "~TCP"
	wherever the module and not the protocol was meant.

	The reason for the switch was that autolinking produced too many
	false hits (e.g. "TCP connection" and "IP address" would link
	to the TCP and IP modules.)

2011-01-10  Zoltan Bojthe

	Code style changes:

	- tab-to-space conversion
	- '{' to new line
	- too long lines
	- remove trailing whitespace from lines
	- indentation

2010-07-22  Zoltan Bojthe

	TCPEchoApp and TCPSessionApp are recording bytesRcvd, bytesSent scalars
	at finish.

2010-03-05  Andras Varga

	additional update

2010-03-05  Andras Varga

	removed redundant (long) conversion from emit() calls

	also: accidental tab-to-space

2010-03-05  Andras Varga

	@statistic: added missing 'vector' recording mode

2010-03-05  Andras Varga

	update for omnet++ 4.1b3:

	renamed @signal to @statistic modeHint= to record=

2010-03-02  Zoltan Bojthe

	add statistics by using signals

2010-06-24  Zoltan Bojthe

	use signals for statistics recording

2010-05-25  Zoltan Bojthe

	TCPSessionApp: change back the output packet to cPacket

2010-05-25  Zoltan Bojthe

	Remove TCPGenericApp class, move parameter reading to TCPSocket class

2010-05-25  Andras Varga

	use TCPDataTransferMode enum instead of int; comment refinements; other
	cosmetic changes

2010-05-21  Zoltan Bojthe

	rename TCPdataTransferMode parameter to dataTransferMode

2010-05-20  Zoltan Bojthe

	modify comment, replace obsoleted function calls to non-obsolete

2010-05-19  Zoltan Bojthe

	Remove irrelevant part of comment.

2010-05-19  Zoltan Bojthe

	Rename TCP transfer modes.

2010-05-18  Zoltan Bojthe

	initial version of TCPtransfermode

2010-04-27  Zoltan Bojthe

	TCPSessionApp: count received bytes

2010-04-27  Zoltan Bojthe

	log about dropped msg

2010-06-21  Zoltan Bojthe

	indent changes - from Thomas Reschka

2010-05-25  Zoltan Bojthe

	TCPSessionApp: change back the output packet to cPacket

2010-05-25  Zoltan Bojthe

	Remove TCPGenericApp class, move parameter reading to TCPSocket class

2010-05-25  Andras Varga

	use TCPDataTransferMode enum instead of int; comment refinements; other
	cosmetic changes

2010-05-21  Zoltan Bojthe

	rename TCPdataTransferMode parameter to dataTransferMode

2010-05-20  Zoltan Bojthe

	modify comment, replace obsoleted function calls to non-obsolete

2010-05-19  Zoltan Bojthe

	Remove irrelevant part of comment.

2010-05-19  Zoltan Bojthe

	Rename TCP transfer modes.

2010-05-18  Zoltan Bojthe

	initial version of TCPtransfermode

2010-04-13  Zoltan Bojthe

	TCPSessionApp: calculate received bytes correctly

2010-02-08  Rudolf Hornig

	Fixed assert in passive mode. Patch by Alberto Cortés. TCPSessionApp
	when configured to work in pasive mode, called TCPSocket.listen()
	instead of TCPSocket.listenOnce(), thus forking the socket. When
	TCPSocket.processMessage() was called on ESTABLISHED, the
	ASSERT(belongsToSocket(msg)) failed.

	Fixed by calling TCPSocket.listenOnce() instead.

2009-07-21  Andras Varga

	added default icons (mostly to *App modules)

2009-07-19  Andras Varga

	added further module @labels (ethernet-node, wireless-node, mpls-node);
	added default icons to several module types

2009-07-18  Andras Varga

	more gate labels added; also, fixed case of TCPOut gates (i.e. they got
	renamed to tcpOut)

2009-07-17  Levente Meszaros

	Added labels to gates to so that the graphical editor can match them
	when the user creates a connection:

	@labels(EtherFrame); labels(Ieee802Ctrl/up); labels(Ieee802Ctrl/down);
	@labels(TCPCommand/up); @labels(TCPCommand/down);
	@labels(UDPControlInfo/up); @labels(UDPControlInfo/down);
	@labels(Ieee80211Frame);  @labels(IPControlInfo/down);
	@labels(IPControlInfo/up);  @labels(IPDatagram);
	@labels(IPv6ControlInfo/up); @labels(IPv6ControlInfo/down);
	@labels(IPv6Datagram)

2009-03-25  ------ INET-20090325 released ------

2008-01-01..2009-03-25  Andras Varga, Rudolf Hornig

	Porting of INET to OMNeT++ 4.0, and some general face lift:
	* better directory structure (names changed to lowercase; moved sources
	  under src/; better names, e.g. networkinterfaces -> linklayer)
	* build system to use a deep makefile
	* updated the C++ code for the 4.0 API (follow name changes; use
	  int64-based simtime_t; use cPacket; etc.)
	* NED files converted to 4.0 syntax
	* make use of new features in NED files (module interfaces, inout
	  gates, @unit, etc.)

2006-03-22  Andras Varga

	Added TCPSpoof module from some external project

2005-08-04  Andras Varga

	Added several app models: TCPBasicClientApp, TCPEchoApp, TCPSessionApp,
	TCPGenericSrvApp, TCPGenericSrvThread, TPSinkApp, TCPSrvHostApp,
	TelnetApp

2003..2004  Andras Varga

	IPSuite extensive refactoring, see networklayer/ipv4/ChangeLog

2003-09-23  Andras Varga

	Initial checkin of IPSuite's TCPClient and TCPServer modules.

	If you are interested in the early history of the code, change
	to the project root and type

	$ gitk -- Applications/TCPApp INET/src/applications/tcpapp
